## org.apache.batik.apps.svgbrowser
Class DOMViewer.DOMViewerDOMDocumentTreeController

    java.lang.Object
      org.apache.batik.apps.svgbrowser.DOMViewer.DOMViewerDOMDocumentTreeController

All Implemented Interfaces:
  DOMDocumentTreeController

Enclosing class:
  DOMViewer

    protected class DOMViewer.DOMViewerDOMDocumentTreeController

extends java.lang.Object
implements DOMDocumentTreeController

DOMDocumentTreeController implementation.

Constructor Summary
`protected` `DOMViewer.DOMViewerDOMDocumentTreeController()`

Method Summary
`boolean` `isDNDSupported()` Returns whether the DOMDocumentTree supports drag-and-drop.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMViewer.DOMViewerDOMDocumentTreeController

    protected DOMViewer.DOMViewerDOMDocumentTreeController()

Method Detail

### isDNDSupported

    public boolean isDNDSupported()

  Description copied from interface: `DOMDocumentTreeController`
  Returns whether the DOMDocumentTree supports drag-and-drop.

  Specified by:
    `isDNDSupported` in interface `DOMDocumentTreeController`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.